---
updatedAt: 2026-04-21T16:34:40.000Z
agentTools:
  siteIndex: https://developers.pismo.io/llms.txt
  projectIndex: https://developers.pismo.io/pismo-docs/llms.txt
---

# Disburse loan

Disburse a loan.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Lending",
    "description": "Lending applications",
    "version": "1.0.0",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    }
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io/lending",
      "description": "Sandbox API server for testing"
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Disbursements",
      "description": "Creates the disbursement management features"
    }
  ],
  "components": {
    "parameters": {
      "RequiredIdempotencyKeyHeader": {
        "name": "Idempotency-Key",
        "description": "Required UUID that makes the request idempotent, enabling you to retry it multiple times while the system processes it only once.",
        "in": "header",
        "required": true,
        "schema": {
          "type": "string",
          "format": "uuid"
        },
        "example": "4df987e3-8179-11ed-8209-06c7b022d1ee"
      },
      "LoanIdPath": {
        "name": "loanId",
        "description": "ID of the loan the operation applies to",
        "in": "path",
        "required": true,
        "schema": {
          "type": "string",
          "format": "uuid"
        },
        "example": "2717a296-124a-47cc-b2a1-91e80dc723eb"
      }
    },
    "schemas": {
      "AccountID": {
        "type": "integer",
        "format": "int64",
        "description": "Account ID",
        "example": 514751581
      },
      "AuthorizationDenialCode": {
        "type": "string",
        "description": "Payment Methods - Denial Code",
        "example": "IAD",
        "minLength": 3,
        "maxLength": 5
      },
      "AuthorizationId": {
        "type": "number",
        "description": "Authorization ID",
        "format": "int64",
        "example": 123456789
      },
      "AuthorizationResponseCode": {
        "type": "string",
        "description": "Payment Methods - Response Code",
        "example": "62",
        "minLength": 2,
        "maxLength": 2
      },
      "AuthorizationTrackingId": {
        "type": "string",
        "description": "Authorization tracking ID",
        "format": "uuid",
        "example": "4df987e3-8179-11ed-8209-06c7b022d1ee"
      },
      "DisbursementAmount": {
        "type": "number",
        "format": "double",
        "description": "Disbursement amount",
        "example": 1000
      },
      "DisbursementDate": {
        "type": "string",
        "description": "Disbursement date. Format = YYYY-MM-DD.",
        "format": "date",
        "example": "2022-06-30"
      },
      "DisbursementID": {
        "type": "string",
        "description": "Disbursement ID. Required if the number of loan disbursements is greater than 1.",
        "format": "uuid",
        "example": "5c075cc6-8dc2-4fe6-9ed7-cf5687d4e834"
      },
      "DisbursementV2Metadata": {
        "type": "object",
        "description": "Additional disbursement information\n\n**Note**: This field must not be used to send Personally Identifiable Information (PII), Payment Card Industry (PCI) data, or any sensitive/regulated information. Metadata fields are intended for operational, non-sensitive data only. For sensitive data, use the specific parameters designed for that purpose. For more information, refer to [Get started with Pismo APIs](https://developers.pismo.io/pismo-docs/reference/get-started-with-pismo-apis).\n",
        "additionalProperties": {
          "type": "string",
          "description": "Additional property"
        }
      },
      "DisbursementV2Request": {
        "required": [
          "disbursement_account"
        ],
        "type": "object",
        "properties": {
          "disbursement_account": {
            "anyOf": [
              {
                "$ref": "#/components/schemas/InternalDisburseAccountV2"
              },
              {
                "$ref": "#/components/schemas/ExternalDisburseAccountV2"
              }
            ]
          },
          "disbursement_amount": {
            "$ref": "#/components/schemas/DisbursementAmount"
          },
          "disbursement_date": {
            "$ref": "#/components/schemas/DisbursementDate"
          },
          "disbursement_id": {
            "$ref": "#/components/schemas/DisbursementID"
          },
          "metadata": {
            "$ref": "#/components/schemas/DisbursementV2Metadata"
          }
        }
      },
      "DisbursementV2Response": {
        "required": [
          "authorization_id"
        ],
        "type": "object",
        "properties": {
          "authorization_id": {
            "$ref": "#/components/schemas/AuthorizationId"
          },
          "authorization_tracking_id": {
            "$ref": "#/components/schemas/AuthorizationTrackingId"
          },
          "disbursement_amount": {
            "$ref": "#/components/schemas/DisbursementAmount"
          },
          "disbursement_id": {
            "$ref": "#/components/schemas/DisbursementID"
          },
          "loan_id": {
            "$ref": "#/components/schemas/LoanID"
          }
        }
      },
      "ErrorCode": {
        "type": "string",
        "description": "Lending error code",
        "example": "ELND0001"
      },
      "ErrorMessage": {
        "type": "string",
        "example": "Unexpected error",
        "description": "Lending error message"
      },
      "ExternalAccountType": {
        "type": "string",
        "description": "External account type",
        "example": "EXTERNAL",
        "enum": [
          "EXTERNAL"
        ]
      },
      "ExternalDisburseAccountV2": {
        "required": [
          "account_type"
        ],
        "type": "object",
        "description": "Describes disbursement data for external accounts, where the disbursement will be made to an account at a different entity than the lender",
        "properties": {
          "account_type": {
            "$ref": "#/components/schemas/ExternalAccountType"
          }
        }
      },
      "InternalAccountType": {
        "type": "string",
        "description": "Account type",
        "example": "INTERNAL",
        "enum": [
          "INTERNAL"
        ]
      },
      "InternalDisburseAccountV2": {
        "required": [
          "account_type",
          "account_id"
        ],
        "type": "object",
        "description": "Describes disbursement data for internal accounts, where the lender and beneficiary have accounts with the same entity",
        "properties": {
          "account_id": {
            "$ref": "#/components/schemas/AccountID"
          },
          "account_type": {
            "$ref": "#/components/schemas/InternalAccountType"
          }
        }
      },
      "LoanID": {
        "maxLength": 36,
        "minLength": 0,
        "type": "string",
        "description": "Custom ID for the loan. Must consist of uppercase alphanumeric characters and underscores.",
        "example": "MY_CUSTOM_LOAN_ID"
      },
      "StandardAuthorizationErrorResponse": {
        "type": "object",
        "properties": {
          "code": {
            "$ref": "#/components/schemas/ErrorCode"
          },
          "denial_code": {
            "$ref": "#/components/schemas/AuthorizationDenialCode"
          },
          "message": {
            "$ref": "#/components/schemas/ErrorMessage"
          },
          "response_code": {
            "$ref": "#/components/schemas/AuthorizationResponseCode"
          }
        }
      },
      "StandardErrorResponse": {
        "type": "object",
        "properties": {
          "code": {
            "$ref": "#/components/schemas/ErrorCode"
          },
          "message": {
            "$ref": "#/components/schemas/ErrorMessage"
          }
        }
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer"
      }
    }
  },
  "paths": {
    "/v2/loans/{loanId}/disburse": {
      "post": {
        "tags": [
          "Disbursements"
        ],
        "summary": "Disburse loan",
        "description": "Disburse a loan.",
        "operationId": "disburseLoanV2",
        "parameters": [
          {
            "$ref": "#/components/parameters/LoanIdPath"
          },
          {
            "$ref": "#/components/parameters/RequiredIdempotencyKeyHeader"
          }
        ],
        "requestBody": {
          "description": "Request body.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/DisbursementV2Request"
              },
              "examples": {
                "Disburses the loan to an internal Pismo account": {
                  "description": "Disburses the loan amount to an internal Pismo account.",
                  "value": {
                    "disbursement_account": {
                      "account_type": "INTERNAL",
                      "account_id": 784165
                    },
                    "disbursement_id": "5c075cc6-8dc2-4fe6-9ed7-cf5687d4e834",
                    "disbursement_date": "2024-10-15T00:00:00.000Z",
                    "disbursement_amount": 1000,
                    "metadata": {
                      "payment_order_id": "po-123456789",
                      "payment_order_reference": "ref-987654321"
                    }
                  }
                },
                "Disburses the loan to an external account": {
                  "description": "Register a loan disbursement to an external account.",
                  "value": {
                    "disbursement_account": {
                      "account_type": "EXTERNAL"
                    },
                    "disbursement_id": "5c075cc6-8dc2-4fe6-9ed7-cf5687d4e834",
                    "disbursement_date": "2024-10-15T00:00:00.000Z",
                    "disbursement_amount": 1000,
                    "metadata": {
                      "bank_id": "785",
                      "bank_account": "123456",
                      "additional_information": "Additional information"
                    }
                  }
                }
              }
            }
          },
          "required": true
        },
        "responses": {
          "202": {
            "description": "Disburse accepted.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DisbursementV2Response"
                },
                "examples": {
                  "Success Disbursement": {
                    "description": "Disbursement accepted.",
                    "value": {
                      "loan_id": "73e45fd5-759f-4e04-a88a-7172fa948afa",
                      "authorization_id": 123456789,
                      "authorization_tracking_id": "4df987e3-8179-11ed-8209-06c7b022d1ee",
                      "disbursement_id": "5c075cc6-8dc2-4fe6-9ed7-cf5687d4e834",
                      "disbursement_amount": 1000
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "A validation error occurred.",
            "content": {
              "application/json": {
                "schema": {
                  "anyOf": [
                    {
                      "$ref": "#/components/schemas/StandardErrorResponse"
                    },
                    {
                      "$ref": "#/components/schemas/StandardAuthorizationErrorResponse"
                    }
                  ]
                },
                "examples": {
                  "Validation exception": {
                    "description": "Validation exception.",
                    "value": {
                      "code": "ELND0003",
                      "message": "disbursement_account.account_type not valid"
                    }
                  },
                  "Authorization failed": {
                    "description": "Authorization failed.",
                    "value": {
                      "code": "ELND0004",
                      "message": "Authorization failed",
                      "response_code": "62",
                      "denial_code": "IAD"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/StandardErrorResponse"
                },
                "examples": {
                  "ELND0001": {
                    "description": "Unexpected error",
                    "value": {
                      "code": "ELND0001",
                      "message": "Unexpected error"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```